Cyberduck Mountain Duck CLI

#9080 closed defect (fixed)

Hash Sum mismatch: expired key?

Reported by: lyndb Owned by: dkocher
Priority: normal Milestone: 4.8
Component: website Version: 4.7.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

I have installed duck CLI on Ubuntu 14.04 LTS with apt using the instructions on your website. I spec'ed the key as follows:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys FE7097963FEFBE72

and defined the the repository as indicated on https://duck.sh/.

When I now run apt-get update I get the following:

W: Failed to fetch https://s3.amazonaws.com/repo.deb.cyberduck.io/dists/stable/main/binary-amd64/Packages  Hash Sum mismatch

E: Some index files failed to download. They have been ignored, or old ones used instead.

Change History (10)

comment:1 Changed on Oct 29, 2015 at 9:29:49 AM by dkocher

  • Component changed from core to website
  • Owner set to dkocher
  • Status changed from new to assigned

comment:2 Changed on Oct 29, 2015 at 4:22:05 PM by dkocher

  • Description modified (diff)

comment:3 Changed on Oct 29, 2015 at 4:22:19 PM by dkocher

  • Description modified (diff)

comment:4 Changed on Oct 29, 2015 at 4:26:25 PM by dkocher

  • Milestone set to 4.8
  • Resolution set to fixed
  • Status changed from assigned to closed

comment:5 Changed on Jan 26, 2016 at 7:13:25 PM by msegura

It seems we are hitting the same problem with ubuntu 14.04.3 LTS.

Reproduction steps are :

echo "deb https://s3.amazonaws.com/repo.deb.cyberduck.io stable main" >> /etc/apt/sources.list
apt-key adv --keyserver keyserver.ubuntu.com --recv-keys FE7097963FEFBE72
apt-get update
apt-get install -y -q duck

The apt-get update leads to :

W: Failed to fetch https://s3.amazonaws.com/repo.deb.cyberduck.io/dists/stable/main/binary-amd64/Packages  Hash Sum mismatch

which leads to apt-get install -y -q duck to fail

comment:6 Changed on Jan 26, 2016 at 7:33:14 PM by msegura

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:7 Changed on Feb 11, 2016 at 9:24:00 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

We have redeployed the failed artifacts for version 4.7.5.

comment:8 Changed on Feb 17, 2016 at 6:25:45 AM by andytseng

Hi there,

I've followed the instruction above but still experiencing the same issue as the original poster (I'm using Ubuntu 14.04.4 LTS):

$ sudo apt-get install duck
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
  duck:i386
The following NEW packages will be installed:
  duck
0 upgraded, 1 newly installed, 1 to remove and 1 not upgraded.
Need to get 85.7 MB of archives.
After this operation, 160 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Fetched 87.5 MB in 27s (3,126 kB/s)
E: Failed to fetch https://s3.amazonaws.com/repo.deb.cyberduck.io/pool/d/du/duck-4.8.18975.deb  Size mismatch
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

Then I tried the following:

$ sudo apt-get install duck --fix-missing
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
  duck:i386
The following NEW packages will be installed:
  duck
0 upgraded, 1 newly installed, 1 to remove and 1 not upgraded.
Need to get 85.7 MB of archives.
After this operation, 160 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Fetched 87.5 MB in 39s (2,191 kB/s)
(Reading database ... 107995 files and directories currently installed.)
Removing duck (4.8.18975) ...
E: Failed to fetch https://s3.amazonaws.com/repo.deb.cyberduck.io/pool/d/du/duck-4.8.18975.deb  Size mismatch

Any idea..?

AT

Last edited on Feb 17, 2016 at 6:44:19 AM by andytseng (previous) (diff)

comment:9 follow-up: Changed on Feb 17, 2016 at 4:27:43 PM by dkocher

Now fixed for snapshot builds as well.

comment:10 in reply to: ↑ 9 Changed on Feb 18, 2016 at 7:14:59 AM by andytseng

Replying to dkocher:

Now fixed for snapshot builds as well.

Yes I can confirm this is now fixed. Thanks! ;-)

Note: See TracTickets for help on using tickets.